gdbdump(1)

NAME
gdbdump - dump HP 100LX database into ASCII format

SYNOPSIS
gdbdump [-noqswm] file

DESCRIPTION
gdbdump exports the contents of an HP 100LX database into an ASCII form. file is the name of the 100LX database to read; the results are written to the terminal and can be redirected or piped as needed. The output format is suitable for input to many database packages as well as to gdbload(1).

  Options
gdbdump recognizes the following options:

    -n  Suppress the first line of the output, which normally contains the names of all of the database fields. Note that if this option is specified, the output is not compatible with gdbload(1). However, this option may be needed for compatibility with other database programs trying to read the output.

    -o  Omit note fields from the output. Note fields are included by default.

    -q  Suppress warning messages.

    -s  Write special characters (character codes 128-254, inclusive) directly to the output. The default is to represent such characters in \nnn notation.

    -w  Wrap long lines. For some databases, the output line length can be larger than some programs (notably vi(1)) can handle, especially if records contain long notes. This option wraps each output line at about 75 characters, marking the end of lines to be continued with a backslash (\). gdbload(1) understands this format.

    -m  Write multi-line string (i.e. note) fields on multiple lines. Thus the quoted string will span newlines. Without this option, newlines in strings will be output as \r\n sequences, and the complete string will be subject to line wrapping if specified by the -w option.

  Output Format Description
The output of this program is an ASCII text file which starts with a line containing field names (unless -n was specified) and is followed by one line for each record of the database. Note that any of these lines may be split into multiple lines if -w is specified, and that newlines in strings may cause further splitting if specified by the -m option. Each "logical" line contains all of the fields of the database, in the same order in which their field names appeared on the first line of the output. The fields are separated by commas.

Exactly how each field appears in the output depends on its type. Text fields, category fields, and note fields appear with the contents inside quote marks ("). Quote marks and backslashes within the text of the field are escaped by preceding them with a backslash (\). Newlines are printed as \n and carriage returns as \r, unless the -m option is used. Non-printing or non-ASCII characters as \nnn, where nnn is an octal character code. (See the description of the -s flag, above.)

Number fields appear as they do in the database. Date fields appear in the format YYYYMMDD; for example, August 15, 1993 would appear as 19930815. Time fields appear in the format HHMM, where HH is in the range 00-23.

Radio buttons and check boxes appear as 1 if selected, 0 otherwise.

All other field types, including application-defined types, are omitted from the output.

This output format can be used as input to gdbload(1).

WARNINGS
gdbdump cannot handle the application-defined records and fields in HP 100LX Appointment Book and World Time databases. Running this program on such databases will give useful, but incomplete, output.

Records are printed in the order stored in the file, i.e., randomly.

This program cannot handle password-protected databases. Attempts to dump password-protected databases will have unpredictable results.

AUTHOR
gdbdump was written by Steven Roth, stever@cup.hp.com, and is being maintained by Arne Christensen, arc@pine.dk. Contact the latter for bug reports, enhancement requests, or to get a copy of the source code.

DISCLAIMER
This program is released into the public domain and neither the author nor the maintainer place any restrictions on its use. We make no warranties or guarantees for this program and you use it at your own risk. This program is supplied by us personally and not by Hewlett-Packard Co. or Pine Tree Systems, which incur no obligations pertaining to it.

ACKNOWLEDGEMENTS
Many thanks to Andy Gryc for publishing the details of the database file formats!

SEE ALSO
gdbload(1).